﻿using Syncfusion.UI.Xaml.Charts;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel view;
        public MainWindow()
        {
            InitializeComponent();

            view = new ViewModel();
            this.DataContext = new ViewModel();
            //Column definition
            sfDataGrid2.Columns.Add(new GridNumericColumn()
            {
                HeaderText = "Article ID",
                MappingName = "id",
                NumberDecimalDigits = 0,
                ColumnSizer = GridLengthUnitType.SizeToHeader
            });
            sfDataGrid2.Columns.Add(new GridTextColumn() { HeaderText = "Name", MappingName = "name" });
            //This column is only to show that data exists in this column
            sfDataGrid2.Columns.Add(new GridNumericColumn() { HeaderText = "Group ID", MappingName = "idgroup", NumberDecimalDigits = 0, ColumnSizer = GridLengthUnitType.SizeToHeader });

            sfDataGrid2.ItemsSource = view.Details.DefaultView;
        }

        private void btnItemSource_Click(object sender, RoutedEventArgs e)
        {
            // This part links data source diretly to the chart from DataTable

            sfChart1.Series.Clear();

            sfChart1.Header = "TEST header";

            CategoryAxis primaryAxis = new CategoryAxis();
            primaryAxis.Header = "Article Name";
            //primaryAxis.ShowTrackBallInfo = true;
            sfChart1.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Header = "Group";
            sfChart1.SecondaryAxis = secondaryAxis;

            ColumnSeries series1 = new ColumnSeries();

            // Here I'm converting DataView from grid to DataTable
            
            DataTable myTable;
                        DataView MyView;

            //// Bind dataGridView to DataView.

            MyView = (DataView)sfDataGrid2.ItemsSource;

            // Bind  DataView to Table.

            myTable = (DataTable)MyView.ToTable();

            series1.ItemsSource = myTable;
            series1.XBindingPath = "Name";
            series1.YBindingPath = "idgroup";
            series1.ShowTooltip = true;

            sfChart1.Series.Add(series1);



        }
    }
}
